> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extranets-b2b/{id}/customer/

> Create B2B extranet application customer invite

## OpenAPI

````json POST /v1/extranets-b2b/{id}/customer/
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/extranets-b2b/{id}/customer/": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Service ID of the application customer is invited to",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1ExtranetsB2bIdCustomerPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1ExtranetsB2bIdCustomerPostResponse"
                }
              }
            }
          }
        },
        "description": "Create B2B extranet application customer invite"
      }
    }
  },
  "components": {
    "schemas": {
      "v1ExtranetsB2bIdCustomerPostRequest": {
        "type": "object",
        "properties": {
          "invites": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bExtranetApplicationInvite"
            }
          }
        },
        "additionalProperties": false,
        "required": [
          "invites"
        ]
      },
      "v1ExtranetsB2bIdCustomerPostResponse": {
        "type": "object",
        "properties": {
          "responses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2B2bExtranetApplicationInviteResponse"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2B2bExtranetApplicationInvite": {
        "type": "object",
        "properties": {
          "adminEmail": {
            "type": "string",
            "example": "example string",
            "description": "Admin email of the customer (required)"
          },
          "consumerBurstSize": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0,
            "description": "Maximum Burst size per site for the customer (required)"
          },
          "consumerBwSite": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0,
            "description": "Maximum Bandwidth allocation per site for the customer (required)"
          },
          "enterpriseId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011,
            "description": "Enterprise ID of the customer (required)"
          },
          "maximumSiteCount": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0,
            "description": "Maximum number of sites for the customer (required)"
          },
          "servicePrefixes": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string",
              "description": "List of service prefixes for the application"
            }
          }
        },
        "additionalProperties": false,
        "required": [
          "adminEmail",
          "consumerBurstSize",
          "consumerBwSite",
          "enterpriseId",
          "maximumSiteCount"
        ]
      },
      "manaV2B2bExtranetApplicationInviteResponse": {
        "type": "object",
        "properties": {
          "adminEmail": {
            "type": "string",
            "example": "example string"
          },
          "consumerBurstSize": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "consumerBwSite": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "enterpriseId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "maximumSiteCount": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "servicePrefixes": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

